Debian Bug report logs - #660742
buildcross: format 3 quilt packages not supported (gdb)

version graph

Package: buildcross; Maintainer for buildcross is Debian Embedded <debian-embedded@lists.debian.org>; Source for buildcross is src:buildcross.

Reported by: Alban Browaeys <prahal@yahoo.com>

Date: Tue, 21 Feb 2012 13:39:01 UTC

Severity: important

Found in version buildcross/0.0.11

Fixed in version buildcross/0.0.12

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#660742; Package buildcross. (Tue, 21 Feb 2012 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alban Browaeys <prahal@yahoo.com>:
New Bug report received and forwarded. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Tue, 21 Feb 2012 13:39:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alban Browaeys <prahal@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: buildcross: format 3 quilt packages not supported (gdb)
Date: Tue, 21 Feb 2012 14:35:00 +0100
[Message part 1 (text/plain, inline)]
Package: buildcross
Version: 0.0.11
Severity: important

Dear Maintainer,
gdb fails to build due to dpkg-source -b gdb-7.3 failing with
unable to find orig tar.
Attach patch fixes that by copying also <package>_* (ie orig.tar,
dsc) instead of only <package>-* .

BR,
Alban

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.3.0-rc1test0-00391-g9454d2f (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages buildcross depends on:
ii  autoconf                          2.68-1
ii  autoconf2.13                      2.13-61
ii  autogen                           1:5.12-0.1
ii  automake1.4                       1:1.4-p6-13.1
ii  automake1.7                       1.7.9-9.1
ii  automake1.9                       1.9.6+nogfdl-3.1
ii  bison                             1:2.5.dfsg-2.1
ii  build-essential                   11.5
ii  bzip2                             1.0.6-1
ii  cdbs                              0.4.102
ii  chrpath                           0.13-2
ii  dctrl-tools                       2.20.1
ii  debhelper                         9.20120115
ii  dejagnu                           1.5-3
ii  devscripts                        2.11.4
ii  dh-make                           0.60
ii  dpatch                            2.0.35
ii  dpkg-cross                        2.6.5
ii  fakeroot                          1.18.2-1
ii  flex                              2.5.35-10
ii  gawk                              1:3.1.8+dfsg-0.1
ii  gobjc                             4:4.6.2-4
ii  gperf                             3.0.3-1+b1
ii  libcloog-ppl-dev                  0.15.11-4
ii  libmpfr-dev                       3.1.0-3
ii  libncurses5-dev [libncurses-dev]  5.9-4
ii  libreadline-dev                   6.2-8
ii  libtool                           2.4.2-1
ii  liburi-perl                       1.59-1
ii  lsb-release                       3.2-28.1
ii  patchutils                        0.3.2-1.1
ii  pbuilder                          0.206
ii  quilt                             0.51-1
ii  realpath                          1.16
ii  reprepro                          4.9.0-1
ii  sharutils                         1:4.11-1
ii  sudo                              1.8.3p2-1
ii  texinfo                           4.13a.dfsg.1-8
ii  time                              1.7-23.1
ii  type-handling                     0.2.23
ii  wget                              1.13.4-2

Versions of packages buildcross recommends:
ii  xapt  2.2.18

buildcross suggests no packages.

-- Configuration Files:
/etc/buildcross.conf changed:
PKGLIST=${PKGLIST:-"libs"}
ARCHLIST=${ARCHLIST:-"armel"}
SRCSUITE=${SRCSUITE:-"unstable"}
SUITE=${SUITE:-"unstable"}
WARNMSG=${WARNMSG:-"no"}
LOCALREPO=${LOCALREPO:-"no"}
VERBOSEMODE=${VERBOSEMODE:-"yes"}
CURDIR=${CURDIR:-"$(pwd)"}
SRCDIR=${SRCDIR:-"$CURDIR/cache/src"}
APTCACHE=${APTCACHE:-"$CURDIR/cache/apt"}
REPOPATH=${REPOPATH:-"$CURDIR/cache/repo"}
BUILDPATH=${BUILDPATH:-"$CURDIR/cache/build"}
CLEANTREE=${CLEANTREE:-"yes"}
CLEANDIRS=${CLEANDIRS:-"yes"}
HOSTARCH=$(dpkg-architecture -qDEB_HOST_ARCH)
DPKGFLAGS="--force-overwrite"
FETCH=${FETCH:-"wget"}
ONLINE=${ONLINE:-"no"}
LOGHTMLPATH=${LOGHTMLPATH:-"$CURDIR"}
LOGPATH="$LOGHTMLPATH/logs/"
LOGHTML="index.html"
MIRROR=${MIRROR:-"http://cdn.debian.net/debian/"}
ROOTCMD=${ROOTCMD:-sudo}
FORCE_REBUILD=${FORCE_REBUILD:-yes}
FORCE_UPGRADE=${FORCE_UPGRADE:-yes}
export DEBIAN_FRONTEND=noninteractive
export DEBIAN_PRIORITY=critical
export DEBCONF_NONINTERACTIVE_SEEN=true
export LANG=C
export LANGUAGE=C
export LC_ALL=C
export LC_PAPER=C
export LC_MONETARY=C


-- no debconf information

-- debsums errors found:
debsums: changed file /usr/lib/buildcross/functions (from buildcross package)
[supportquiltorigtarcopy.diff (text/x-diff, attachment)]

Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 15:52:38 GMT) Full text and rfc822 format available.

Notification sent to Alban Browaeys <prahal@yahoo.com>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 15:52:38 GMT) Full text and rfc822 format available.

Message #10 received at 660742-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 660742-close@bugs.debian.org
Subject: Bug#660742: fixed in buildcross 0.0.12
Date: Sat, 03 Mar 2012 15:48:09 +0000
Source: buildcross
Source-Version: 0.0.12

We believe that the bug you reported is fixed in the latest version of
buildcross, which is due to be installed in the Debian FTP archive:

buildcross_0.0.12.dsc
  to main/b/buildcross/buildcross_0.0.12.dsc
buildcross_0.0.12.tar.gz
  to main/b/buildcross/buildcross_0.0.12.tar.gz
buildcross_0.0.12_all.deb
  to main/b/buildcross/buildcross_0.0.12_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660742@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated buildcross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 03 Mar 2012 14:42:35 +0000
Source: buildcross
Binary: buildcross
Architecture: source all
Version: 0.0.12
Distribution: experimental
Urgency: low
Maintainer: Debian Embedded <debian-embedded@lists.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 buildcross - Cross build a full set of Debian toolchain
Closes: 639332 660740 660741 660742
Changes: 
 buildcross (0.0.12) experimental; urgency=low
 .
   * Drop type-handling dependencies (Closes: #639332)
     - Thanks Guillem Jover for patch
   * Fix VCS field in control file (Closes: #660740)
   * Support format 3 quilt packages (Closes: #660742)
     - Thanks Alban Browaeys for patch
   * Fix breakage in the apt-db init due to missing sources.list.d
     - Thanks Alban Browaeys for patch (Closes: #660741)
   * Add configuration file for wheezy.
Checksums-Sha1: 
 c8f7edca9bab87d3510def33dc10d1e4858b5774 1633 buildcross_0.0.12.dsc
 d38a33820413ecf13a731a9607ef29011870bf00 32620 buildcross_0.0.12.tar.gz
 e6941d5c348f4b71e33a5b3197d5afffda9e9eea 29296 buildcross_0.0.12_all.deb
Checksums-Sha256: 
 3f5fe6b8a876c940ce8a0145eba2ee9106959d976c3a72d1160c39bae66ddbcd 1633 buildcross_0.0.12.dsc
 0cc8550894ffe3ac58b5e9a4621014f3e0e5a1e71cec3291a78ac9986eac5da8 32620 buildcross_0.0.12.tar.gz
 1783fb40179ac3f2ec94a620759fd5df4c8833291b2a86e7df27424a78232bca 29296 buildcross_0.0.12_all.deb
Files: 
 2ea3a5cd2aac4c5bea1a2b8ea070ca83 1633 utils extra buildcross_0.0.12.dsc
 f96ae6fd3b378ed53df7ea1b84977ec3 32620 utils extra buildcross_0.0.12.tar.gz
 82f94a8611bb891579498c6d02e6df0a 29296 utils extra buildcross_0.0.12_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPUi8bAAoJEK8ig6p24qx7VkcQAIPooRQx1sEBGW77ZMfyDQIp
obfaXsKH7eOLg0z8Ae1/cW3b8vIx8yO2hZEva2ta9zpA4r4Zb2q/7ZhkIAOdoJGW
GyeuJrnYrooccuNEa24VxHUbIpDeyse5qe2C/yCvHQRNuodWb20K6+S9/hHYaw1y
bHO7DFHeY/2inbAQ0+mDECS26ycLV20bmCAYHXPJHHeotv8AOSeK26UcgXQqWLoO
CNNGP8j2ELmGnOEvMqo2qZHDrF0qkk/yklxi3MIf6t0i9ecthudnz7C0MYNipyuP
gvFl01dTsKG+bmUrbpbcc2mjlJ5pn/YiL152XHsrErnL8GYQhOJvTqSjYfACkU1n
c0lKXhpR+cyH5kVBCZEf/OSU/I1svXIwtWnaGNem3WYl768cInrJwzVLwRTMXC+B
7QAp7VtUknn5VAmCy+1YET9zRH+z4k5fDhw5FCCNoabUU761wwFlZ1Ez1auGCFFn
G+IyeKgL+tLaQE09WK1e1MTs0LCyo3No6GZIkLoDsQoRps76TbD0S/VNf+2MS3oB
U+lgAiOJyVJGGegeLZu1OOFTvUKJwMshHyJ1fx3ThhmipQljOQAmpPLJUhWZwcmf
W9Hcb9RC7CEcbSGIv1KWQOkBlWCm6oZxfxPWm9CQ75RCsDueVnmTKv6SOuNgZril
/WLrgtqegUdmIiAyOVlm
=l3OL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:43:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:06:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.